# socket.h File Reference

`#include <ptlib/channel.h>`
`#include "unix/ptlib/socket.h"`

Go to the source code of this file.

## Classes

class | PSocket
| A network communications channel. More...
class | PSocket::SelectList
| List of sockets used for Select() function. More...
class | P_fd_set
class | P_timeval

## Functions

| PLIST (PSocketList, PSocket)

## Function Documentation

PLIST | ( | PSocketList | ,
|  | PSocket |  |
| ) |  |  |